Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ActivityEditor

    java.lang.Object
      ix.ip2.ItemEditor
          ix.ip2.ActivityEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Direct Known Subclasses:
  ActivityInsertionEditor

     class ActivityEditor

extends ItemEditor

A simple editor for entering and viewing Activities

Nested Class Summary
`(package private) class` | `ActivityEditor.ActivityEditPanel`

Nested classes/interfaces inherited from class ix.ip2.ItemEditor
`ItemEditor.EditPanel, ItemEditor.ItemTextArea, ItemEditor.TextViewFrame, ItemEditor.TreeViewFrame`

Field Summary
`protected javax.swing.JMenuItem` | `saveAsRefinementItem`

Fields inherited from class ix.ip2.ItemEditor
`agendaViewer, agent, contentPane, editPanel, fileMenu, frame, itemType, statusView, textView, title, treeView, viewMenu, viewXMLTranslator`

Constructor Summary
`ActivityEditor(AgendaViewer agendaViewer, java.lang.String title)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Action interpreter
`protected ItemEditor.EditPanel` | `makeEditPanel()`
`protected javax.swing.JMenuBar` | `makeMenuBar()` Constructs the menu bar

Methods inherited from class ix.ip2.ItemEditor
`addEndStatus, addHandlerActionStatus, addItemConditons, addStatus, clearViews, ensureStatusView, ensureTextView, ensureTreeView, handleViewCommand, makeMenuItem, makeStatusText, makeViewXMLTranslator, setUpFrame, setVisible, showItem, showNewItem, showStatusIfVisible, showTextIfVisible, showTreeIfVisible, showViewsIfVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### saveAsRefinementItem

    protected javax.swing.JMenuItem saveAsRefinementItem

Constructor Detail

### ActivityEditor

    ActivityEditor(AgendaViewer agendaViewer,
                   java.lang.String title)

Method Detail

### makeEditPanel

    protected ItemEditor.EditPanel makeEditPanel()

  Specified by:
    `makeEditPanel` in class `ItemEditor`

### makeMenuBar

    protected javax.swing.JMenuBar makeMenuBar()

  Constructs the menu bar

  Overrides:
    `makeMenuBar` in class `ItemEditor`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Action interpreter

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Specified by:
    `actionPerformed` in class `ItemEditor`
  See Also:
    `CatchingActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD